#! /usr/bin/env bash

# Avoid rebuilds of the same version
[[ ! -d build ]] && exit 0

source util.sh
PREFIX="$1"

cd build
echo "$TAG Installing to local folder..."
run_quietly giteapc-install.log \
make install-strip
cd ..

# Symbolic link executables to $PREFIX/bin
echo "$TAG Symlinking binaries..."
for x in bin/*; do
  ln -sf "$(pwd)/$x" "$PREFIX/$x"
done

# Cleanup build files
echo "$TAG Cleaning up build files..."
rm -rf binutils-*/ binutils-*.tar.*
rm -rf build/
